#ifndef __MSP3430_H__
#define __MSP3430_H__

/* I2C address for MSP3430G */
#define MSP3430         0x80
#define CONTROL         0x00
#define WR_DEM          0x10
#define RD_DEM          0x11
#define WR_DSP          0x12
#define RD_DSP          0x13


void EnableMSP3430 (PortPrivPtr pPPriv);
void ResetMSP3430 (PortPrivPtr pPPriv);
void MSP3430_SetVolume (PortPrivPtr pPPriv, CARD8 value);




#endif
