/**************************************************************************\
 gatos (General ATI TV and Overlay Software)

  Project Coordinated By Insomnia (Steaphan Greene)
  (insomnia@core.binghamton.edu)

  Copyright (C) 1999 Steaphan Greene, yvind Aabling, Octavian Purdila, 
	Vladimir Dergachev, Christian Lupien and Daniel Caujolle-Bert.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

\**************************************************************************/

#ifndef GATOS_A_SOUND_H
#define GATOS_A_SOUND_H 1

#ifdef __cplusplus
extern "C" {
#endif

#include <sys/asoundlib.h>

  char *mixer_labels[32];

  /* Sound function declarations */
  int sound_init(void) ;
  int sound_restore(void) ;
  int sound_setvol(int) ;
  int sound_setmixer(int) ;
  int sound_nummixers(void) ;
  char* sound_mixername(int) ;
  char** sound_mixernames(void) ;
  char** sound_mixerlabels(void) ;

#ifdef __cplusplus
}
#endif

#endif
