/**************************************************************************\
 gatos (General ATI TV and Overlay Software)

  Project Coordinated By Insomnia (Steaphan Greene)
  (insomnia@core.binghamton.edu)

  Copyright (C) 1999 Steaphan Greene, yvind Aabling, Octavian Purdila, 
	Vladimir Dergachev and Christian Lupien.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

\**************************************************************************/

#include <stdio.h>
#include <errno.h> 
#include <fcntl.h>
#include <signal.h>  
#include <stdarg.h> 
#include <string.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/types.h>

#include "gatos.h"

#define SUBCALL(FUNC)   \
	err = FUNC() ; \
	if (err) { fprintf(stderr,"GATOS: %s failed: %s\n", \
	  #FUNC,strerror(err)) ; return err ; }

static int err=0;

	/* BufferPointersList <- (Hsize, Vsize, Config, Format) */
u8 **overlay_config_buffers(int x, int y, int cf, int fm) {

  /* if (gatos.pid) RETURN(EBUSY) ; What was this for?  -- ISG*/

  /* Todo: set Configuration and Format of buffer */

  if(x>0) gatos.xcapt = x;
  if(y>0) gatos.ycapt = y;
  gatos.xend = gatos.xcapt;
  gatos.yend = gatos.ycapt;
  gatos.xstart = 0 ; gatos.ystart = 0 ;
  SUBCALL(ati_setcaptsize) ; SUBCALL(bt829_setcaptsize) ;
  if (gatos.donegeometry)
    gatos_setgeometry(gatos.xsize,gatos.ysize,gatos.xpos,gatos.ypos) ;

  /* Todo: return buffer pointer list */

  return NULL;
  }

	/* OverlayEnabled? <- (Hsize, Vsize, Config, Format) */
int overlay_query_buffers(int *x, int *y, int *cf, int *fm) {
  *x = gatos.xcapt;
  *y = gatos.ycapt;

  /* Todo: get Configuration and Format of buffer */

  return gatos.video;
  }

	/* (BufferNumber) */
void overlay_select_buffer(int buffernumber) {
  /* Todo: select buffer */
  }

	/* BufferFree <- (BufferNumber) */
int overlay_free_buffer(int buffernumber) {
  /* Todo: check buffer status */
  return 1;
  }
